

# FastAPI Admin Next

FastAPI Admin Next is a package for managing admin interfaces in FastAPI applications, similar to Django Admin. It provides a user-friendly interface for managing your FastAPI projects.

## Features

- **Model Registration**: Easily register your SQLAlchemy models.
- **Filter Fields**: Add filter fields to your models.
- **Search Fields**: Add search fields to your models.
- **Pydantic Validation**: Use Pydantic validation classes for your models. If not provided, Pydantic models are generated dynamically from SQLAlchemy models.
- **Future Plans**: Manage permissions using Redis and add a reporting dashboard.

## Installation

To install the project, follow these steps:

1. **Install**:
    ```bash
    pip install fastapi_admin_next
    ```


## Usage

Refer to the example application provided in the `example` folder for a detailed implementation.


## Contributing

Contributions are welcome! Please follow these steps to contribute:

1. Fork the repository.
2. Create a new branch (`git checkout -b feature-branch`).
3. Make your changes.
4. Commit your changes (`git commit -m 'Add some feature'`).
5. Push to the branch (`git push origin feature-branch`).
6. Open a pull request.

## License

This project is licensed under the MIT License. See the LICENSE file for more details.

## Contact

If you have any questions or suggestions, feel free to open an issue or contact me at [mahmudul.hassan240@gmail.com].
